Description
Hi Patrick,

is it possible the we can use the tool with a hardware token?
You can't get a signing certificate anymore and put into a jks file:

As of June 1, 2023, all Code Signing Certificates must comply with the new CA/B Forum regulations to ensure that the subscriber’s

private key is generated, stored, and used in a suitable FIPS-compliant hardware. —
Do you have expireince with that?

History

#1 - 04/02/2024 05:30 PM - Patrick Talbot

Yes, | do have experience with that, I'll try to compile a version compatible with that.

#2 - 04/02/2024 10:44 PM - Patrick Talbot
- Tracker changed from Defect to Feature

- Status changed from New to Resolved

See v1.4 that | just released.

You will need to create a token config.cfg file (see the content of the zip for an example of the content), refer to the internet on which dll or dylib this

should point to, depending on your OS.

You will see a new dialog in the tool to set the path to that file + the alias of your certificate in the token + the token password. You need to fill these

information before running the signing itself.

#3 - 04/03/2024 01:24 AM - Patrick Talbot

Actually, better use v1.4.1 that | just released, which will make it easier to find the alias of the token certificate to use...

#4 - 03/25/2025 11:31 AM - Harjo Kompagnie
- File Schermafbeelding 2025-03-25 om 11.22.38.png added
- File Schermafbeelding 2025-03-25 om 11.22.56.png added

Hi Patrick, for an other project | need to sign jars with the new USB Token.
| want to order this one, (With Token shipping) See attachments

This token will work with the latest version of the signtester?
Just doublechecking, before spending 502,- dollar. ;-)
